using System;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;
using System.Xml.Serialization;
using Newtonsoft.Json;

namespace TFC.Models
{

    public class Workout 
    {
        public int WorkoutID { get; set; }
        
        [Display(Name = "Ejercicio")]
        public int  ExerciceID { get; set; }

        [Display(Name = "Entrenamiento")]
        public int TrainingID { get; set; }

        public string Series { get; set; }
        [Display(Name = "Peso")]
        public int Load { get; set; }
        [Display(Name = "Repeticiones")]
        public int Repetitions { get; set; }
        [Display(Name = "Descanso")]
        public int? Pause { get; set; }
        [Display(Name = "Sensaciones")]
        public string Sensations { get; set; }
        [Display(Name = "Realizado")]
        public bool IsRealized { get; set; }
        [Display(Name = "Fecha")]
        [Required]
        public DateTime Date { get; set; }
        
        public virtual Exercice Exercice { get; set; }
        [XmlIgnore, IgnoreDataMember, JsonIgnore]
        public virtual Training Training { get; set; }
        
    }


}